Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006361opensim[REGION] Physics Enginespublic2012-10-14 21:052013-05-13 15:54
Reporterkenvc 
Assigned ToRobert Adams 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformQuad Core CPU 8 gg raOSWindows 7OS Version7 64 bit
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0006361: Bulletsim: When walking over something from south to north is different than walking north to south.
DescriptionThis is a very minor issue, but it could be the symptom of somthing more important.

When walking over the peak of the roof of a house for example, from the south side over the peak to the North side, the AV physics behavior is very different than when walking from North to South. Going from east to west or west to east doesn't seem to be as drastic a difference.

The AV seems to scale the roof slope much faster and flies over the peak when going north, but scales the roof much slower and goes over the peak in a more normal motion when going south.
TagsNo tags attached.
Git Revision or version numberr20706
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Environment.NET / Windows64
Mono VersionNone
ViewerN/A
Attached Files

- Relationships

-  Notes
(0023241)
Robert Adams (administrator)
2012-12-14 13:15

Converting terrain to mesh fixed this problem. It seems this is an artifact of how the heighmap object is implemented in Bullet.

- Issue History
Date Modified Username Field Change
2012-10-14 21:05 kenvc New Issue
2012-11-19 10:51 Robert Adams Assigned To => Robert Adams
2012-11-19 10:51 Robert Adams Status new => assigned
2012-11-21 15:07 kenvc Description Updated View Revisions
2012-12-14 13:15 Robert Adams Note Added: 0023241
2012-12-14 13:15 Robert Adams Status assigned => resolved
2012-12-14 13:15 Robert Adams Fixed in Version => master (dev code)
2012-12-14 13:15 Robert Adams Resolution open => fixed
2013-05-13 15:54 kenvc Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker